Eclipse修改Project Facets的Dynamic Web Module版本

使用Eclipse开发Web工程,当工程的Dynamic Web Module版本确定后是不能修改,尝试修改时,在工程上选择属性,再选择Project Facets里面中选择Dynamic Web Module ,将3.0修改为2.5,会提示如下信息:

Cannot change version of project facet Dynamic Web Module to 2.5

解决办法:

到工程所在目录下,找到.settings文件夹,删除org.eclipse.wst.common.project.facet.core.xml文件,重新在工程上点击右键,选择属性,再选择Project Facets重新选择Dynamic Web Module版本

或者

直接打开org.eclipse.wst.common.project.facet.core.xml文件,修改“jst.web”的版本,注意和“Java”的版本要对应。

 

参考于:http://hi.baidu.com/nagioswork/item/ed61872050e8048a6f2cc312